Attribute VB_Name = "DatesUtilities"
Option Explicit



Public Function EndDateBeforeStartDate(dtmStartDate, dtmEndDate) As Boolean
    Dim strMsg As String
    
    If dtmEndDate < dtmStartDate Then
        strMsg = "The Start Date should fall on or after the End Date."
        MsgBox strMsg, vbExclamation, "Error in Dates"
        EndDateBeforeStartDate = True
    Else
        EndDateBeforeStartDate = False
    End If
    
End Function

Public Function DateInTheFuture(tgtDate As Date, Description As String) As Boolean
    Dim strMsg As String
    
    If tgtDate > Date Then
        strMsg = "The " & Description & " should fall on or before today."
        MsgBox strMsg, vbExclamation, "Error in Dates"
        DateInTheFuture = True
    Else
        DateInTheFuture = False
    End If
    
End Function

Public Function GetNumberOfDays(ByVal theMonth As Long, ByVal theYear As Long) As Long
    
    Select Case theMonth
        Case 1, 3, 5, 7, 8, 10, 12
            GetNumberOfDays = 31
        Case 4, 6, 9, 11
            GetNumberOfDays = 30
        Case 2
            If IsMultipleOf(theYear, 4) Then
                GetNumberOfDays = 29
            Else
                GetNumberOfDays = 28
            End If
    End Select
            
End Function

